Subject: RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

From: Krishna Mohan CS <[email-masked]>
Date: Wed, 13 Jul 2005 08:56:59 -0400

All,
This is with reference to the draft "draft-ietf-pim-mib-v2-02.txt".
It says that this draft obsoletes RFC 2934 (PIM-DM/SM MIB for v4). 

The Introduction section mentions that "This MIB module does not include
support for managing PIM-DM."

Which draft/RFC should be referred for PIM-DM that supports both IPv4 and
IPv6 (Or) Is any work in progress?

Could you please provide me any insight on this?

---
Thanks & Regards,
Krishna Mohan

-----Original Message-----
From: James Lingard [mailto:[email-masked]] 
Sent: Wednesday, May 25, 2005 9:29 PM
To: [email-masked]; [email-masked]; Bharat Joshi (E-mail); Raghava
Sivaramu (E-mail)
Cc: [email-masked]
Subject: RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

It's nearly a month since the new PIM MIB draft was submitted, and we still
haven't had any feedback at all.  In order to create a MIB that fully meets
the operational requirements, external input and reviewing is going to be
essential.

We'd be very grateful for feedback of any kind, and in particular on the two
outstanding issues highlighted in my email below.  Also, if you're planning
on reviewing the MIB but haven't had time up until now, I'd be grateful if
you could drop me a note just so we know to expect your feedback at some
point in the future.

James.

-----Original Message-----
From: James Lingard 
Sent: 30 April 2005 14:23
To: [email-masked]; [email-masked]; Bharat Joshi (E-mail);
Raghava Sivaramu (E-mail)
Cc: [email-masked]
Subject: RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

We've just submitted a new revision of the PIM MIB I-D, the first in over
two years.

The new PIM MIB is a complete rewrite of the previous version of the MIB
(both from RFC 2934 and from earlier revisions of this I-D).  The changes
are too extensive for me to list them all here, but the main changes are as
follows.

o  Address family independence (that is, the new MIB supports IPv4 and IPv6
through the use of InetAddres objects).
o  Support for managing BIDIR-PIM.
o  Removal of support for managing PIM-DM (since PIM-DM is not on the
Standards Track).
o  Removal of support for managing PIM-SM v1.
o  Removal of the dependency on the IPv4 Multicast Routing MIB [RFC 2932].
o  Addition of a Neighbor Secondary Address table.
o  Addition of lots of useful information to the Interface and Neighbor
tables.

This I-D is very much a snapshot of our work in progress, and there are many
outstanding issues to resolve and things still to do.  The main outstanding
issues include:

o  Whether or not we should keep the existing structure of MRoute and
MRouteNextHop tables, or whether we should replace them with tables that
more closely mirror the protocol state model from the PIM-SM and BIDIR-PIM
drafts.

o  Whether or not to support multiple domains and/or scope-zones, and if so,
how to support them.

We would very much appreciate feedback on the new MIB, particularly from
people with operational experience who could let us know if the MIB meets
their requirements for configuring and managing PIM routers, and if not, how
we could improve it to be more useful.  We'd also be grateful for input on
the above two unresolved issues.

Please send your comments to the PIM-MIB mailing list
[[email-masked]].  And if you'd like to get involved further,
please come and join the discussions on that mailing list.  You can
subscribe from:

http://www.mountain2sea.com/mailman/listinfo/pim-mib

Regards,
James, Raghava and Bharat.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
[email-masked]
Sent: 29 April 2005 20:51
To: [email-masked]
Cc: [email-masked]
Subject: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the Protocol Independent Multicast Working
Group of the IETF.

	Title		: Protocol Independent Multicast MIB
	Author(s)	: J. Lingard, et al.
	Filename	: draft-ietf-pim-mib-v2-02.txt
	Pages		: 43
	Date		: 2005-4-29
	
This memo defines a portion of the Management Information Base (MIB)
   for use with network management protocols in the Internet community.
   In particular, it describes managed objects used for managing the
   Protocol Independent Multicast (PIM) protocols (PIM-SM and BIDIR-
   PIM).  This document obsoletes RFC 2934.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pim-mib-v2-02.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the
message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-pim-mib-v2-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-pim-mib-v2-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

Notice: The information contained in this e-mail message and/or attachments to it may contain confidential or privileged information. If you are not the intended recipient, any dissemination, use, review, distribution, printing or copying of the information contained in this e-mail message and/or attachments to it are strictly prohibited. If you have received this communication in error, please notify us by reply e-mail or telephone and immediately and permanently delete the message and any attachments. Thank you
_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

---

From: "Nicholas, Jonathan - ACD " <[email-masked]>
Date: Wed, 13 Jul 2005 09:18:00 -0400

PIM-DM is RFC 3973.  No MIB is in progress.

Jonathan Nicholas
Network Systems Engineer
ITT Aerospace/Communications Division

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Krishna Mohan CS
	Sent: Wednesday, July 13, 2005 8:57 AM
	To: James Lingard; [email-masked]; [email-masked];
Bharat Joshi (E-mail); Raghava Sivaramu (E-mail)
	Cc: [email-masked]
	Subject: RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

	All,
	This is with reference to the draft
"draft-ietf-pim-mib-v2-02.txt".
	It says that this draft obsoletes RFC 2934 (PIM-DM/SM MIB for
v4).

	The Introduction section mentions that "This MIB module does not
include support for managing PIM-DM."

	Which draft/RFC should be referred for PIM-DM that supports both
IPv4 and IPv6 (Or) Is any work in progress?

	---
	Thanks & Regards,
	Krishna Mohan

	-----Original Message-----
	From: James Lingard [mailto:[email-masked]]
	Sent: Wednesday, May 25, 2005 9:29 PM
	To: [email-masked]; [email-masked]; Bharat Joshi
(E-mail); Raghava Sivaramu (E-mail)
	Cc: [email-masked]
	Subject: RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

	It's nearly a month since the new PIM MIB draft was submitted,
and we still haven't had any feedback at all.  In order to create a MIB
that fully meets the operational requirements, external input and
reviewing is going to be essential.

	We'd be very grateful for feedback of any kind, and in
particular on the two outstanding issues highlighted in my email below.
Also, if you're planning on reviewing the MIB but haven't had time up
until now, I'd be grateful if you could drop me a note just so we know
to expect your feedback at some point in the future.

	James.

	-----Original Message-----
	From: James Lingard
	Sent: 30 April 2005 14:23
	To: [email-masked]; [email-masked]; Bharat Joshi
(E-mail);

	We've just submitted a new revision of the PIM MIB I-D, the
first in over two years.

	The new PIM MIB is a complete rewrite of the previous version of
the MIB (both from RFC 2934 and from earlier revisions of this I-D).
The changes are too extensive for me to list them all here, but the main
changes are as follows.

	o  Address family independence (that is, the new MIB supports
IPv4 and IPv6 through the use of InetAddres objects).
	o  Support for managing BIDIR-PIM.
	o  Removal of support for managing PIM-DM (since PIM-DM is not
on the Standards Track).
	o  Removal of support for managing PIM-SM v1.
	o  Removal of the dependency on the IPv4 Multicast Routing MIB
[RFC 2932].
	o  Addition of a Neighbor Secondary Address table.
	o  Addition of lots of useful information to the Interface and
Neighbor tables.

	This I-D is very much a snapshot of our work in progress, and
there are many outstanding issues to resolve and things still to do.
The main outstanding issues include:

	o  Whether or not we should keep the existing structure of
MRoute and MRouteNextHop tables, or whether we should replace them with
tables that more closely mirror the protocol state model from the PIM-SM
and BIDIR-PIM drafts.

	o  Whether or not to support multiple domains and/or
scope-zones, and if so, how to support them.

	We would very much appreciate feedback on the new MIB,
particularly from people with operational experience who could let us
know if the MIB meets their requirements for configuring and managing
PIM routers, and if not, how we could improve it to be more useful.
We'd also be grateful for input on the above two unresolved issues.

	Regards,

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]]On
Behalf Of
	[email-masked]
	Sent: 29 April 2005 20:51
	To: [email-masked]
	Cc: [email-masked]
	Subject: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

	A New Internet-Draft is available from the on-line
Internet-Drafts directories.
	This draft is a work item of the Protocol Independent Multicast
Working Group of the IETF.

	This memo defines a portion of the Management Information Base
(MIB)
	   for use with network management protocols in the Internet
community.
	   In particular, it describes managed objects used for managing
the
	   Protocol Independent Multicast (PIM) protocols (PIM-SM and
BIDIR-
	   PIM).  This document obsoletes RFC 2934.

	To remove yourself from the I-D Announcement list, send a
message to
	[email-masked] with the word unsubscribe in the
body of the message. 
	You can also visit
https://www1.ietf.org/mailman/listinfo/I-D-announce
	to change your subscription settings.

	Internet-Drafts are also available by anonymous FTP. Login with
the username
	"anonymous" and a password of your e-mail address. After logging
in,
	type "cd internet-drafts" and then
	        "get draft-ietf-pim-mib-v2-02.txt".

	Send a message to:
	        [email-masked].
	In the body type:
	       
	NOTE:   The mail server at ietf.org can return the document in
	        MIME-encoded form by using the "mpack" utility.  To use
this
	        feature, insert the command "ENCODING mime" before the
"FILE"
	        command.  To decode the response(s), you will need
"munpack" or
	        a MIME-compliant mail reader.  Different MIME-compliant
mail readers
	        exhibit different behavior, especially when dealing with

	        "multipart" MIME messages (i.e. documents which have
been split
	        up into multiple messages), so check your local
documentation on
	        how to manipulate these messages.

	implementation to automatically retrieve the ASCII version of
the
	Internet-Draft.

Notice: The information contained in this e-mail message and/or
attachments to it may contain confidential or privileged information. If
you are not the intended recipient, any dissemination, use, review,
distribution, printing or copying of the information contained in this
e-mail message and/or attachments to it are strictly prohibited. If you
have received this communication in error, please notify us by reply
e-mail or telephone and immediately and permanently delete the message
and any attachments. Thank you

************************************
This e-mail and any files transmitted with it are proprietary and intended solely for the use of the individual or entity to whom they are addressed. If you have received this e-mail in error please notify the sender. Please note that any views or opinions presented in this e-mail are solely those of the author and do not necessarily represent those of ITT Industries, Inc. The recipient should check this e-mail and any attachments for the presence of viruses. ITT Industries accepts no liability for any damage caused by any virus transmitted by this e-mail.
************************************

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 13 Jul 2005 06:21:18 -0700

I think Krishna is pointing to the fact then that we can not
call the old MIB obsoleted if the new MIB does not support
PIM-DM ?

In-Reply-To: <[email-masked]>

On Wed, Jul 13, 2005 at 09:18:00AM -0400, Nicholas, Jonathan - ACD  wrote:
> Pim-mib mailing list
> [email-masked]

-- 
Thanks
   Toerless Eckert

---

From: Krishna Mohan CS <[email-masked]>
Date: Wed, 13 Jul 2005 09:29:41 -0400

Jonathan: Which MIB draft should I refer for PIM-DM that supports both IPv4
and IPv6? (since RFC 2934 PIM MIB for IPv4 is obsolete now)

Is there any such draft?
Could you please let me know?

You are also right eckert.

---
Thanks & Regards,
Krishna Mohan

-----Original Message-----
From: Toerless Eckert [mailto:[email-masked]] 
Sent: Wednesday, July 13, 2005 6:51 PM
To: Nicholas, Jonathan - ACD 
Cc: Krishna Mohan CS; James Lingard; [email-masked]; [email-masked];
Bharat Joshi (E-mail); Raghava Sivaramu (E-mail); [email-masked]
Subject: Re: [Pim-mib] RE: [pim] I-D ACTION:draft-ietf-pim-mib-v2-02.txt

In-Reply-To:
<[email-masked]>

On Wed, Jul 13, 2005 at 09:18:00AM -0400, Nicholas, Jonathan - ACD  wrote:
> This e-mail and any files transmitted with it are proprietary and intended
solely for the use of the individual or entity to whom they are addressed.
If you have received this e-mail in error please notify the sender. Please
note that any views or opinions presented in this e-mail are solely those of
the author and do not necessarily represent those of ITT Industries, Inc.
The recipient should check this e-mail and any attachments for the presence
of viruses. ITT Industries accepts no liability for any damage caused by any
virus transmitted by this e-mail.

-- 
Thanks
   Toerless Eckert

---

From: "Nicholas, Jonathan - ACD " <[email-masked]>
Date: Wed, 13 Jul 2005 10:10:50 -0400

No draft exists or is in progress.  I have offered to do something about
it.  Action to be taken at the discretion of the WG.

	-----Original Message-----
	From: Krishna Mohan CS [mailto:[email-masked]] 
	Sent: Wednesday, July 13, 2005 9:30 AM
	To: Toerless Eckert; Nicholas, Jonathan - ACD 
	Cc: James Lingard; [email-masked]; [email-masked];
Bharat Joshi (E-mail); Raghava Sivaramu (E-mail);
[email-masked]
	Subject: RE: [Pim-mib] RE: [pim] I-D
ACTION:draft-ietf-pim-mib-v2-02.txt

	Jonathan: Which MIB draft should I refer for PIM-DM that
supports both IPv4 and IPv6? (since RFC 2934 PIM MIB for IPv4 is
obsolete now)

	Is there any such draft? 

	--- 
	Thanks & Regards, 
	Krishna Mohan 

	-----Original Message----- 
	From: Toerless Eckert [mailto:[email-masked]] 
	Sent: Wednesday, July 13, 2005 6:51 PM 
	To: Nicholas, Jonathan - ACD 
	Cc: Krishna Mohan CS; James Lingard; [email-masked];
[email-masked]; Bharat Joshi (E-mail); Raghava Sivaramu
(E-mail); [email-masked]

	Subject: Re: [Pim-mib] RE: [pim] I-D
ACTION:draft-ietf-pim-mib-v2-02.txt 

	In-Reply-To:
<[email-masked]

	On Wed, Jul 13, 2005 at 09:18:00AM -0400, Nicholas, Jonathan -
	>       -----Original Message----- 
[mailto:[email-masked]] 

	>               "FILE
/internet-drafts/draft-ietf-pim-mib-v2-02.txt". 
	> This e-mail and any files transmitted with it are proprietary
and intended solely for the use of the individual or entity to whom they
are addressed. If you have received this e-mail in error please notify
the sender. Please note that any views or opinions presented in this
e-mail are solely those of the author and do not necessarily represent
those of ITT Industries, Inc. The recipient should check this e-mail and
any attachments for the presence of viruses. ITT Industries accepts no
liability for any damage caused by any virus transmitted by this e-mail.

	-- 
	Thanks 
	   Toerless Eckert